Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Retrieve SmartGroup configuration details
cURL
curl -sk -X GET "https://<controller>/v2.5/api/app-domains/config" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/app-domains/config" headers = {"Authorization": "cid <CID>"} response = requests.get(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/app-domains/config", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "config": { "key1": "value1", "key2": "value2" } }
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
GET operation response
The App Domain configuration
JSON object representing the configuration
{ "key1": "value1", "key2": "value2" }
Was this page helpful?